export interface PromiseWithResolvers<T> {
    promise: Promise<T>;
    resolve: (value: T | PromiseLike<T>) => void;
    reject: (reason?: any) => void;
}
/**
 * `promiseWithResolvers` is a polyfill for Promise#withResolvers.
 *
 * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Promise/withResolvers
 */
export declare const promiseWithResolvers: <T>() => PromiseWithResolvers<T>;
//# sourceMappingURL=promise_with_resolvers_polyfill.d.ts.map